﻿using System;

namespace Petzold.Phone.Silverlight
{
    public class InertiaTranslationBehavior
    {
        double desiredDeceleration = Double.NaN;
        double desiredDisplacement = Double.NaN;

        public Vector InitialVelocity { get; set; }

        public double DesiredDeceleration
        {
            set
            {
                desiredDeceleration = value;
                desiredDisplacement = Double.NaN;
            }
            get
            {
                return desiredDeceleration;
            }
        }

        public double DesiredDisplacement
        {
            set
            {
                desiredDisplacement = value;
                desiredDeceleration = Double.NaN;
            }
            get
            {
                return desiredDisplacement;
            }
        }
    }
}