﻿using System;
using System.Windows;

namespace Petzold.Phone.Silverlight
{
    public class ManipulationInertiaCompletedEventArgs : EventArgs
    {
        public ManipulationInertiaCompletedEventArgs()
        {
            IsInertial = true;
        }

        public UIElement ManipulationContainer { internal set; get; }
        public Point ManipulationOrigin { internal set; get; }
        public ManipulationDelta TotalManipulation { internal set; get; }
        public ManipulationVelocities FinalVelocities { internal set; get; }
        public bool IsInertial { internal set; get; }
    }
}
