﻿using System;
using System.Windows;

namespace Petzold.Phone.Silverlight
{
    public class ManipulationInertiaDeltaEventArgs : EventArgs
    {
        internal bool inertiaAborted;

        public ManipulationInertiaDeltaEventArgs()
        {
            IsInertial = true;
        }

        public UIElement ManipulationContainer { internal set; get; }
        public Point ManipulationOrigin { internal set; get; }
        public ManipulationDelta CumulativeManipulation { internal set; get; }
        public ManipulationDelta DeltaManipulation { internal set; get; }
        public ManipulationVelocities Velocities { internal set; get; }
        public bool IsInertial { internal set; get; }

        public void Complete()
        {
            inertiaAborted = true;
        }
    }
}
